Subject: Re: [PATCH v2 3/3] commit: print advice when core.commentString=auto

From: Oswald Buddenhagen <[email-masked]>
Date: Thu, 28 Aug 2025 00:38:11 +0200

On Wed, Aug 27, 2025 at 09:39:25AM -0700, Junio C Hamano wrote:
>So your counter-proposal is just stop at saying (possibly a milder
>equivalent of) "nope, auto is no longer available. deal with it"?
>
yes.
though it should probably include "because it was found to have 
fundamentally flawed semantics. re-check the manual for alternatives." 
or something like that.

>Or does it go even stronger and not even special case "auto" that
>user sets (i.e. and start commented lines with "auto " prefix)?
>
no, silent failure would be counter-productive.